### phototiler v2.3.1

- Fix windows build

### phototiler v2.3.0

- Add support for extra height to polygon builder
- Add support for fixed height to polygon builder
- Fix invalid viewport display on resolution change
- Fix an issue with duplicating layers when only one layer is present
- Set macOS minimum version to prevent user from running on older versions

### phototiler v2.2.1

- Fix scene not listening to edit changes when dragged and dropped
- Fix potential crash when unlocking pro features on macOS
- Fix crash when deleting all layers
- Fix degenerate geometry due to potential NaN values in line builder
- Fix potential race condition when generating a scene
- Fix pause/play support
- Improve framebuffer and render target lifecycle
- Improve error reporting on update failure

### phototiler v2.2.0

- Add support for terrain with DEM data sources
- Improve task scheduling to optimize tile generation for faster scene creation

### phototiler v2.1.0

- Add support for undo/redo
- Fix potential fireflies in path tracer

### phototiler v2.0.1

- Fix a bug where the popup size was incorrectly bound
- Fix a potential uninitialized value in updater code on Linux
- Fix crash when creating a matcher without a selected type

### phototiler v2.0.0

- Improve UX by consolidating user interface in a single view
- Improve UX by loading some tiles at startup
- Add sky model and remove HDR textures to reduce application size and give more visual control
- Add scene file drag-and-drop support
- Add serialization support for render and camera settings
- Add tile region selection in the map view
- Add map selection serialization as part of the scene file
- Add support for automatic application updates
- Tie map region selection to geographic coordinates instead of screen space coordinates
- Improve hot-reloading performance by canceling obsolete building tasks
- Adjust camera movement to be constant relative to the field of view
- Adjust camera constraints to prevent seeing underneath the ground plane
- Fix flickering when switching between fast and slow render modes
- Fix a tile bounds issue preventing to download a single tile
- Pack all assets within executable to make a standalone application

### phototiler v1.0.1

- Fix an issue with file dialog saves on macOS
- Fix hot-reloading sometimes not picking up latest changes
- Fix hot-reloading not being triggered on layer name changes

### phototiler v1.0.0

- Update UI with various improvements including a new docking-based layout
- Add support for GLTF model export
- Add support for saving and loading scene files
- Add support for render resolution modification
- Add support for live scene edits on layer modifications
- Add data configurable parsing zoom to select level of detail
- Add HTTP error handling and reporting
- Add support for data pre-fill in matcher UI for simpler selection of data types
- Add layer duplication option
- Add menu item shortcut support
- Fix camera settings and placement on scene re-generation
- Fix data caching for MVT tiles
- Fix empty image export before the denoising step

### phototiler v0.5.1-beta

- Fix windows build

### phototiler v0.5.0-beta

- Add support for MVT for faster tile processing and increased data resolution
- Blur HDR environment maps
- Clip tile at map region selection boundaries
- Better handling of incorrect Http requests on Linux and macOS
- Remove duktape dependency from 3rd party license

### phototiler v0.4.4-beta

- Add support for multithreading when downloading and building tiles for faster scene creation
- Reduce GPU memory footprint of materials
- Fix environment map rendering artifacts in preview mode
- Optimize rendering and shader instructions by removing extraneous instance transform
- Remove dependency with TinyObjLoader library

### phototiler v0.4.3-beta

- Fix potential data corruption on scene serialization

### phototiler v0.4.2-beta

- Add default user agent string to fix http nextzen requests

### phototiler v0.4.1-beta

- Fix a bug where deleting a filter resulted in an exception
- Fix a bug where creating a new layer without assigning a material crashed
- Fix a bug where layer order wasn't preserved after deleting a layer
- Fix material UI not filtering the material properties specific to the type
- Disable extraneous UI translation gizmo

### phototiler v0.4.0-beta

- Redesign interface to simplify UX flow by creating two main modes: render & design
- Improve map region by inverting selection colors to better highlight selected area
- Fix some missing framebuffer clear on first frames, leading to incorrect rendering
  on first run
- Fix UI picking bug while selecting color overlapping with the viewport

### phototiler v0.3.0-beta

- Add Windows support
- Fix incorrect focus on map while dragging map region
- Fix map region size on window resize

### phototiler v0.2.0-beta

- Add Linux support
- Improve region selection UX by using a draggable and resizable quad
- Add multiplatform file dialog support to choose location of image export
- Fix camera wheel zoom when using macbook trackpad, for more intuitive camera
  behaviors

### phototiler v0.1.1-beta

- Prevent crash at startup by using TBB source libraries on macOS instead of
  locally installed ones
- Reduced size of binary application by removing a few HDR files

### phototiler v0.1.0-beta

- First version
